# $Revision: 1.30 $, $Date: 2011/08/31 18:31:12 $
Summary:	Simple Samba Commander
Summary(pl.UTF-8):	Konsolowa przeglądarka otoczenia sieciowego
Name:		smbc
Version:	1.2.2
Release:	3
License:	GPL
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/smbc/%{name}-%{version}.tgz
# Source0-md5:	f5c1a16ea0378d96cb27e8d96229e8ad
Source1:	%{name}.desktop
URL:		http://smbc.airm.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libsmbclient-devel >= 3.0
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	popt-devel
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
Requires:	samba
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple Samba Commander is a text mode SMBnet commander. In SMBC, you
can browse the local network or you can use the search function to
find the files. You can also download and upload files or all
directories to your computer or create remote and local directories.
SMBC has a resume function and supports UTF-8 characters.

%description -l pl.UTF-8
Simple Samba Commander jest prostą tekstową przeglądarką sieci opartej
o protokół SMB. Za pomocą SMBC można przeglądać sieć lokalną lub w
poszukiwaniu konkretnego pliku wykorzystać funkcję wyszukiwania.
Dostępna jest również funkcja pobierania oraz wysyłania plików jak i
całych katalogów. SMBC zawiera funkcje automatycznego wznawiania
połączenia, obsługę wielu języków wspiera również standard kodowania
znaków UTF8.

%prep
%setup -q
rm -rf src/CVS
sed -i 's@<curses.h>@<ncurses/curses.h>@' src/*

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc FAQ README doc/sample.smbcrc
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/%{name}.desktop
%{_infodir}/*.info*
%{_mandir}/man1/smbc.*
%{_mandir}/man1/smbcrc.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smbc.spec,v $
Revision 1.30  2011/08/31 18:31:12  arekm
- release 3

Revision 1.29  2010/05/16 12:30:06  sparky
- BR: texinfo

Revision 1.28  2010/05/12 14:02:19  baggins
- rel 2
- more desktop categories

Revision 1.27  2008/01/24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.26  2007-02-12 22:09:15  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.24  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.23  2005/07/20 10:48:14  kolodko
- 1.2.2

Revision 1.22  2005/03/18 14:32:15  kolodko
- up to 1.2.1

Revision 1.21  2005/03/18 11:48:02  kolodko
- 1.2.0
- drop smbc-ncurses.patch, go to %prep

Revision 1.20  2005/02/23 23:42:37  kolodko
- up to 1.1.2

Revision 1.19  2005/02/14 23:19:54  paszczus
- updated to 1.1.1
- updated smbc-ncurses.patch
- STBR

Revision 1.18  2005/02/11 14:33:25  paszczus
- updated to 1.1.0
- STBR

Revision 1.17  2005/02/09 12:44:08  paszczus
- updated to 1.0.4
- STBR

Revision 1.16  2005/02/06 21:34:07  paszczus
- updated to 1.0.3

Revision 1.15  2005/02/05 12:12:34  paszczus
- updated to 1.0.2

Revision 1.14  2005/01/09 19:08:28  adamg
- updated to 1.0.1

Revision 1.13  2004/10/15 11:42:36  kolodko
- added Requires: samba, i don't now why not working without it
- works good, rel 1

Revision 1.12  2004/10/12 07:45:36  kolodko
- up to 1.0.0
- simply install

Revision 1.11  2004/10/11 13:23:04  paszczus
- updated URL
- change Source0 URL to sf.net
- added Source0-size

Revision 1.10  2004/08/25 16:59:48  paszczus
- updated to 0.9.0

Revision 1.9  2004/08/04 11:18:06  kolodko
- up tu 0.8.2

Revision 1.8  2004/06/23 17:58:45  qboosh
- unifications

Revision 1.7  2004/06/23 17:47:55  paszczus
- updated to 0.8.1

Revision 1.6  2004/06/12 13:29:00  kolodko
- added popt-devel --> BR

Revision 1.5  2004/06/12 13:18:12  paszczus
- updated to 0.8.0

Revision 1.4  2004/05/09 20:29:28  kolodko
- added desktop

Revision 1.3  2004/05/08 21:37:25  paszczus
- fixed URL

Revision 1.2  2004/05/08 14:00:03  qboosh
- use find_lang

Revision 1.1  2004/05/08 12:48:12  kolodko
- added new spec
